### Hierarchy

- EventTarget
  - Notification

## Index

### Properties

- EventTarget
- actions
- badge
- body
- data
- dir
- icon
- image
- lang
- onclick
- onclose
- onerror
- onshow
- renotify
- requireInteraction
- silent
- tag
- timestamp
- title
- vibrate

### Methods

- addEventListener
- close
- dispatchEvent
- removeEventListener

## Properties

### EventTarget

EventTarget: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5081

#### Type declaration

- ##### constructor: function

  - new __type(): EventTarget
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5082

    #### Returns EventTarget

- ##### prototype: EventTarget

### actions

actions: ReadonlyArray<NotificationAction>

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10638

### badge

badge: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10639

### body

body: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10640

### data

data: any

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10641

### dir

dir: NotificationDirection

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10642

### icon

icon: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10643

### image

image: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10644

### lang

lang: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10645

### onclick

onclick: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10646

### onclose

onclose: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10647

### onerror

onerror: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10648

### onshow

onshow: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10649

### renotify

renotify: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10650

### requireInteraction

requireInteraction: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10651

### silent

silent: boolean

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10652

### tag

tag: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10653

### timestamp

timestamp: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10654

### title

title: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10655

### vibrate

vibrate: ReadonlyArray<number>

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10656

## Methods

### addEventListener

- addEventListener<K>(type: K, listener: function, options?: boolean | AddEventListenerOptions): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10658

  #### Type parameters

  - #### K: keyof NotificationEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: Notification, ev: NotificationEventMap[K]): any

      - #### Parameters

        - ##### this: Notification

        - ##### ev: NotificationEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10659

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### close

- close(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10657

  #### Returns void

### dispatchEvent

- dispatchEvent(event: Event): boolean

- Inherited from EventTarget.dispatchEvent

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5074

  Dispatches a synthetic event event to target and returns true if either event's cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.

  #### Parameters

  - ##### event: Event

  #### Returns boolean

### removeEventListener

- removeEventListener<K>(type: K, listener: function, options?: boolean | EventListenerOptions): void
- removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10660

  #### Type parameters

  - #### K: keyof NotificationEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: Notification, ev: NotificationEventMap[K]): any

      - #### Parameters

        - ##### this: Notification

        - ##### ev: NotificationEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10661

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

Generated using TypeDoc